Hdf5Util::H5ScopedDcreate Class Reference
Classes and functions used to implement this library » Hdf5 Utility Classes and Functions

Scoped object - creates a dataset on creation and closes it on destruction. More...

`#include <Hdf5Util.h>`

Inheritance diagram for Hdf5Util::H5ScopedDcreate:

## Public Member Functions

| H5ScopedDcreate (hid_t parentLocation, const std::string &name, hid_t dtype_id, hid_t space_id, hid_t lcpl_id, hid_t dcpl_id, hid_t dapl_id)
| ~H5ScopedDcreate ()
Public Member Functions inherited from Hdf5Util::H5Base
| H5Base ()
hid_t | id () const
| Query the hid_t value.
| operator hid_t ()
| Implicit cast to hid_t.

## Additional Inherited Members

Protected Attributes inherited from Hdf5Util::H5Base
hid_t | m_id

## Detailed Description

Scoped object - creates a dataset on creation and closes it on destruction.

Definition at line 263 of file Hdf5Util.h.

## Constructor & Destructor Documentation

## H5ScopedDcreate()

Hdf5Util::H5ScopedDcreate::H5ScopedDcreate | ( | hid_t | parentLocation,
|  | const std::string & | name,
|  | hid_t | dtype_id,
|  | hid_t | space_id,
|  | hid_t | lcpl_id,
|  | hid_t | dcpl_id,
|  | hid_t | dapl_id )

inline

Definition at line 266 of file Hdf5Util.h.

{
GlobalLock lock(g_hdf5Mutex);
m_id = H5Dcreate(parentLocation, name.c_str(), dtype_id, space_id,
lcpl_id, dcpl_id, dapl_id);
}
g_hdf5Mutex
FIELD3D_NAMESPACE_OPEN FIELD3D_API boost::recursive_mutex g_hdf5Mutex
Definition Hdf5Util.cpp:67
GlobalLock
boost::recursive_mutex::scoped_lock GlobalLock
Definition Hdf5Util.h:78
Hdf5Util::H5Base::m_id
hid_t m_id
Definition Hdf5Util.h:106

References g_hdf5Mutex, and Hdf5Util::H5Base::m_id.

## ~H5ScopedDcreate()

Hdf5Util::H5ScopedDcreate::~H5ScopedDcreate | ( |  | ) |

inline

Definition at line 274 of file Hdf5Util.h.

{
GlobalLock lock(g_hdf5Mutex);
if (m_id >= 0)
H5Dclose(m_id);
}

References g_hdf5Mutex, and Hdf5Util::H5Base::m_id.

The documentation for this class was generated from the following file:

- export/Hdf5Util.h